Yeoman install errors #929

Closed
jfroom opened this Issue Feb 15, 2013 · 22 comments

Comments

Projects
None yet

jfroom commented Feb 15, 2013

I tried breaking up the installs of "yo" "grunt-cli" and "bower" and it appears that "yo" is failing. I've also reinstalled Node and NPM from http://nodejs.org/download/ . Verbose output below. I'm a bit new to shell oriented dev, but I had the prior version of yeoman running fine (installed off master a week ago). Any advice welcome. Thanks, jf

➜ ~ sudo npm install -g yo
npm http GET https://registry.npmjs.org/yo
npm http 304 https://registry.npmjs.org/yo
npm http GET https://registry.npmjs.org/yeoman-generator
npm http GET https://registry.npmjs.org/generator-webapp
npm http GET https://registry.npmjs.org/generator-mocha
npm http GET https://registry.npmjs.org/colors
npm http GET https://registry.npmjs.org/nopt
npm http GET https://registry.npmjs.org/update-notifier
npm http GET https://registry.npmjs.org/insight
npm http GET https://registry.npmjs.org/lodash
npm http 304 https://registry.npmjs.org/yeoman-generator
npm http 304 https://registry.npmjs.org/colors
npm http 304 https://registry.npmjs.org/generator-webapp
npm http 304 https://registry.npmjs.org/generator-mocha
npm http 304 https://registry.npmjs.org/nopt
npm http 304 https://registry.npmjs.org/update-notifier
npm http 304 https://registry.npmjs.org/insight
npm http 304 https://registry.npmjs.org/lodash
npm http GET https://registry.npmjs.org/request
npm http GET https://registry.npmjs.org/configstore
npm http GET https://registry.npmjs.org/abbrev
npm http GET https://registry.npmjs.org/prompt
npm http GET https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/cheerio
npm http GET https://registry.npmjs.org/rimraf
npm http GET https://registry.npmjs.org/tar
npm http GET https://registry.npmjs.org/diff
npm http GET https://registry.npmjs.org/mime
npm http GET https://registry.npmjs.org/mkdirp
npm http GET https://registry.npmjs.org/read
npm http GET https://registry.npmjs.org/underscore.string
npm http GET https://registry.npmjs.org/cli-table
npm http GET https://registry.npmjs.org/glob
npm http GET https://registry.npmjs.org/debug
npm http GET https://registry.npmjs.org/bower
npm http 304 https://registry.npmjs.org/abbrev
npm http 304 https://registry.npmjs.org/request
npm http 304 https://registry.npmjs.org/prompt
npm http 304 https://registry.npmjs.org/configstore
npm http 304 https://registry.npmjs.org/async
npm http 304 https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/cheerio
npm http 304 https://registry.npmjs.org/tar
npm http 304 https://registry.npmjs.org/diff
npm http 304 https://registry.npmjs.org/underscore.string
npm http 304 https://registry.npmjs.org/mkdirp
npm http 304 https://registry.npmjs.org/read
npm http 304 https://registry.npmjs.org/mime
npm http GET https://registry.npmjs.org/yamljs
npm http 304 https://registry.npmjs.org/cli-table
npm http 304 https://registry.npmjs.org/bower
npm http 304 https://registry.npmjs.org/debug
npm http 304 https://registry.npmjs.org/glob
npm http GET https://registry.npmjs.org/cheerio-select
npm http GET https://registry.npmjs.org/htmlparser2
npm http GET https://registry.npmjs.org/underscore
npm http GET https://registry.npmjs.org/entities
npm http GET https://registry.npmjs.org/pkginfo
npm http GET https://registry.npmjs.org/revalidator
npm http GET https://registry.npmjs.org/utile
npm http GET https://registry.npmjs.org/winston
npm http GET https://registry.npmjs.org/graceful-fs
npm http GET https://registry.npmjs.org/mute-stream
npm http GET https://registry.npmjs.org/colors/0.3.0
npm http GET https://registry.npmjs.org/minimatch
npm http GET https://registry.npmjs.org/graceful-fs
npm http GET https://registry.npmjs.org/inherits
npm http GET https://registry.npmjs.org/inherits
npm http GET https://registry.npmjs.org/block-stream
npm http GET https://registry.npmjs.org/fstream
npm http 304 https://registry.npmjs.org/yamljs
npm http 304 https://registry.npmjs.org/pkginfo
npm http 304 https://registry.npmjs.org/htmlparser2
npm http 304 https://registry.npmjs.org/cheerio-select
npm http 304 https://registry.npmjs.org/entities
npm http 304 https://registry.npmjs.org/underscore
npm http 304 https://registry.npmjs.org/winston
npm http 304 https://registry.npmjs.org/graceful-fs
npm http 304 https://registry.npmjs.org/mute-stream
npm http 304 https://registry.npmjs.org/utile
npm http 304 https://registry.npmjs.org/revalidator
npm http GET https://registry.npmjs.org/CSSselect
npm http GET https://registry.npmjs.org/domutils
npm http GET https://registry.npmjs.org/domelementtype
npm http GET https://registry.npmjs.org/argparse
npm http GET https://registry.npmjs.org/domhandler
npm http 304 https://registry.npmjs.org/inherits
npm http 304 https://registry.npmjs.org/inherits
npm http 304 https://registry.npmjs.org/minimatch
npm http 304 https://registry.npmjs.org/graceful-fs
npm http 304 https://registry.npmjs.org/colors/0.3.0
npm http 304 https://registry.npmjs.org/domutils
npm http 304 https://registry.npmjs.org/CSSselect
npm http 304 https://registry.npmjs.org/domelementtype
npm http 304 https://registry.npmjs.org/fstream
npm http 304 https://registry.npmjs.org/block-stream
npm http 304 https://registry.npmjs.org/domhandler
npm http 304 https://registry.npmjs.org/argparse
npm http GET https://registry.npmjs.org/tmp
npm http GET https://registry.npmjs.org/vows
npm http GET https://registry.npmjs.org/archy
npm http GET https://registry.npmjs.org/semver
npm http GET https://registry.npmjs.org/hogan.js
npm http GET https://registry.npmjs.org/stable
npm http GET https://registry.npmjs.org/read-package-json
npm http GET https://registry.npmjs.org/rc
npm http GET https://registry.npmjs.org/unzip/0.0.4
npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/glob'
npm ERR! error rolling back yeoman-generator@0.10.0 { [Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/glob']
npm ERR! error rolling back errno: 53,
npm ERR! error rolling back code: 'ENOTEMPTY',
npm ERR! error rolling back path: '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/glob' }
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/block-stream/README.md'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/block-stream/README.md
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/block-stream/README.md
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/inherits/README.md'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/inherits/README.md
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/inherits/README.md
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/fstream'
npm ERR! error rolling back yo@1.0.0-beta.2 { [Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/fstream']
npm ERR! error rolling back errno: 53,
npm ERR! error rolling back code: 'ENOTEMPTY',
npm ERR! error rolling back path: '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/tar/node_modules/fstream' }
npm ERR! Error: package lacks shasum
npm ERR! at fetchit (/usr/local/lib/node_modules/npm/lib/cache.js:742:19)
npm ERR! at /usr/local/lib/node_modules/npm/lib/cache.js:725:19
npm ERR! at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/glob/node_modules/graceful-fs/LICENSE'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/glob/node_modules/graceful-fs/LICENSE
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/glob/node_modules/graceful-fs/LICENSE
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/cheerio/node_modules/htmlparser2/tests/Stream/02-RSS.json'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/cheerio/node_modules/htmlparser2/tests/Stream/02-RSS.json
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/yeoman-generator/node_modules/cheerio/node_modules/htmlparser2/tests/Stream/02-RSS.json
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/lodash/test/test.js'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/lodash/test/test.js
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/lodash/test/test.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/insight/node_modules/request/node_modules/form-data/node-form-data.sublime-workspace'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/insight/node_modules/request/node_modules/form-data/node-form-data.sublime-workspace
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/insight/node_modules/request/node_modules/form-data/node-form-data.sublime-workspace
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/generator-webapp/node_modules/cheerio/node_modules/htmlparser2/node_modules/domhandler/readme.md'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/generator-webapp/node_modules/cheerio/node_modules/htmlparser2/node_modules/domhandler/readme.md
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/generator-webapp/node_modules/cheerio/node_modules/htmlparser2/node_modules/domhandler/readme.md
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/yamljs/node_modules/glob/README.md'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/yamljs/node_modules/glob/README.md
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/yamljs/node_modules/glob/README.md
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/yamljs/node_modules/argparse/README.md'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/yamljs/node_modules/argparse/README.md
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/yamljs/node_modules/argparse/README.md
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/insight/node_modules/configstore/node_modules/yamljs/src/yaml/YamlParseException.js'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/insight/node_modules/configstore/node_modules/yamljs/src/yaml/YamlParseException.js
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/insight/node_modules/configstore/node_modules/yamljs/src/yaml/YamlParseException.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/insight/node_modules/prompt/node_modules/winston/lib/winston/logger.js'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/insight/node_modules/prompt/node_modules/winston/lib/winston/logger.js
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/insight/node_modules/prompt/node_modules/winston/lib/winston/logger.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/yo/node_modules/generator-webapp/node_modules/cheerio/node_modules/cheerio-select/node_modules/CSSselect/index.js'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /Users/jfroom
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm ERR! path /usr/local/lib/node_modules/yo/node_modules/generator-webapp/node_modules/cheerio/node_modules/cheerio-select/node_modules/CSSselect/index.js
npm ERR! fstream_path /usr/local/lib/node_modules/yo/node_modules/generator-webapp/node_modules/cheerio/node_modules/cheerio-select/node_modules/CSSselect/index.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm http GET https://registry.npmjs.org/deep-equal
npm http GET https://registry.npmjs.org/i
npm http GET https://registry.npmjs.org/ncp
npm http 304 https://registry.npmjs.org/semver
npm http 304 https://registry.npmjs.org/archy
npm http 304 https://registry.npmjs.org/hogan.js
npm http 304 https://registry.npmjs.org/tmp
npm http 304 https://registry.npmjs.org/vows
npm http 304 https://registry.npmjs.org/stable
npm http 304 https://registry.npmjs.org/read-package-json
npm http 304 https://registry.npmjs.org/deep-equal
npm http 304 https://registry.npmjs.org/unzip/0.0.4
npm http 304 https://registry.npmjs.org/rc
npm http 304 https://registry.npmjs.org/i
npm http 304 https://registry.npmjs.org/ncp
npm http GET https://registry.npmjs.org/config-chain
npm http GET https://registry.npmjs.org/optimist
npm http GET https://registry.npmjs.org/lru-cache
npm http GET https://registry.npmjs.org/slide
npm http GET https://registry.npmjs.org/npmlog
npm http GET https://registry.npmjs.org/pullstream/0.0.4
npm http GET https://registry.npmjs.org/binary
npm http GET https://registry.npmjs.org/eyes
npm http 304 https://registry.npmjs.org/config-chain
npm http 304 https://registry.npmjs.org/pullstream/0.0.4
npm http 304 https://registry.npmjs.org/npmlog
npm http 304 https://registry.npmjs.org/lru-cache
npm http 304 https://registry.npmjs.org/binary
npm http 304 https://registry.npmjs.org/optimist
npm http 304 https://registry.npmjs.org/slide
npm http 304 https://registry.npmjs.org/eyes
npm http GET https://registry.npmjs.org/ansi
npm http GET https://registry.npmjs.org/proto-list
npm http GET https://registry.npmjs.org/ini
npm http GET https://registry.npmjs.org/over
npm http GET https://registry.npmjs.org/stream-buffers
npm http GET https://registry.npmjs.org/wordwrap
npm http GET https://registry.npmjs.org/chainsaw
npm http GET https://registry.npmjs.org/buffers
npm http 304 https://registry.npmjs.org/stream-buffers
npm http 304 https://registry.npmjs.org/ansi
npm http 304 https://registry.npmjs.org/proto-list
npm http 304 https://registry.npmjs.org/ini
npm http 304 https://registry.npmjs.org/over
npm http 304 https://registry.npmjs.org/wordwrap
npm http 304 https://registry.npmjs.org/chainsaw
npm http 304 https://registry.npmjs.org/buffers
npm http GET https://registry.npmjs.org/traverse
npm http 304 https://registry.npmjs.org/traverse
npm http GET https://registry.npmjs.org/CSSwhat
npm http 304 https://registry.npmjs.org/CSSwhat
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/jfroom/npm-debug.log
npm ERR! not ok code 0

➜ ~ node --version
v0.8.20
➜ ~ npm --version
1.2.11

Owner

sindresorhus commented Feb 15, 2013

Try rm -rf /usr/local/lib/node_modules/yo/ && npm cache clean && npm install -g yo grunt-cli bower

jfroom commented Feb 15, 2013

That helped get further down the pipeline, but now am just getting this
single error:

npm http GET https://registry.npmjs.org/ini/-/ini-1.0.5.tgz
npm http 200 https://registry.npmjs.org/colors/0.3.0
npm ERR! error rolling back Error: ENOTEMPTY, rmdir
'/usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/lodash/vendor/platform.js'
npm ERR! error rolling back yo@1.0.0-beta.2 { [Error: ENOTEMPTY, rmdir
'/usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/lodash/vendor/platform.js']
npm ERR! error rolling back errno: 53,
npm ERR! error rolling back code: 'ENOTEMPTY',
npm ERR! error rolling back path:
'/usr/local/lib/node_modules/yo/node_modules/update-notifier/node_modules/configstore/node_modules/lodash/vendor/platform.js'
}
npm ERR! Error: package lacks shasum
npm ERR! at fetchit
(/usr/local/lib/node_modules/npm/lib/cache.js:742:19)
npm ERR! at next (/usr/local/lib/node_modules/npm/lib/cache.js:712:14)
npm ERR! at /usr/local/lib/node_modules/npm/lib/cache.js:699:5
npm ERR! at saved
(/usr/local/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:138:7)
npm ERR! at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "yo"
"grunt-cli" "bower"
npm ERR! cwd /Users/jfroom/Sites/JFMK.Web
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11
npm http 200 https://registry.npmjs.org/wordwrap
npm http GET https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.2.tgz
npm http 200 https://registry.npmjs.org/mute-stream
npm http GET https://registry.npmjs.org/mute-stream/-/mute-stream-0.0.3.tgz
npm http 200 https://registry.npmjs.org/cheerio-select

On Fri, Feb 15, 2013 at 4:15 PM, Sindre Sorhus notifications@github.comwrote:

Try rm -rf /usr/local/lib/node_modules/yo/ && npm cache clean && npm
install -g yo grunt-cli bower


Reply to this email directly or view it on GitHubhttps://github.com/yeoman/yeoman/issues/929#issuecomment-13631042.

Owner

sindresorhus commented Feb 15, 2013

You shouldn't need to run npm with sudo. You might have some permission problems.

asuh commented Feb 15, 2013

I'm getting similar problems. When I run the curl command to check the Yeoman install, the audit says everything is installed except Yeoman. So when I run sudo npm install -g yeoman, it appears to get through fine but the audit says I still need to install yeoman.

Considering that Yo just came out, I'd prefer to install that. So with all dependencies installed except Yeoman, I ran npm install -g yo grunt-cli bower and get exactly what @jfroom gets.

luizpv9 commented Feb 15, 2013

Same problem here.

npm install -g grunt-cli bower
runs fine, but
npm install -g yo
throws a bunch of errors (same as above).

Same issue here...

Same here with yo failing but I get a different error though:

npm http 200 https://registry.npmjs.org/colors/0.3.0
npm http 200 https://registry.npmjs.org/mute-stream
npm http GET https://registry.npmjs.org/mute-stream/-/mute-stream-0.0.3.tgz
npm ERR! Error: package lacks shasum
npm ERR! at fetchit (/usr/local/lib/node_modules/npm/lib/cache.js:742:19)
npm ERR! at next (/usr/local/lib/node_modules/npm/lib/cache.js:712:14)
npm ERR! at /usr/local/lib/node_modules/npm/lib/cache.js:699:5
npm ERR! at saved (/usr/local/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:138:7)
npm ERR! at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Linux 3.5.0-23-generic
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install" "-g" "yo"
npm ERR! cwd /home/tschreiber
npm ERR! node -v v0.8.20
npm ERR! npm -v 1.2.11

hswolff commented Feb 17, 2013

I ran into similar issues trying to install yo today. Actually, I got the same error as isaacs/npm#3170

I ended up rolling back my npm version

npm install -g npm@1.2.0

And I was then able to successfully install yo.

Hope that helps.

jfroom commented Feb 17, 2013

Node 0.8.19, NPM 1.2.10 and "npm install -g yo" seems to run error free.

There may be a breaking release with the latest Node 0.8.20. I just reverted to Node 0.8.19 and now the install is smooth (and bootstrap is installing clean too fwiw).

I tracked this down via googling the "shasum" error: http://developer.appcelerator.com/question/148375/cant-install-titanium-cli

hswolff commented Feb 17, 2013

fwiw I'm running node 0.8.20 and npm 1.2.0 and was able to install w/o issue

jfroom commented Feb 17, 2013

(yay :)

pcottle referenced this issue in pcottle/learnGitBranching Feb 17, 2013

Closed

grunt build failing #20

karolyi commented Feb 17, 2013

npm 1.2.11 here, the build fails with different error messages mentioned here before ... waiting for the solution :)

luizpv9 commented Feb 17, 2013

node 0.8.20 and npm 1.2.11 failed to install yo.
node 0.8.20 and npm 1.2.10 installed everything fine.

I guess problem solved for me.

I tried with npm v1.2.11 and it failed like people reported above. Rolled back to npm 1.2.10 and it installed without an issue.

same problem here.
npm 1.2.10 solved it! 👍

voigt commented Feb 18, 2013

node 0.8.20 and npm 1.2.11 failed to install yo.
Wanted to try it with npm 1.2.10 - but not sure how to rollback properly. Any advices?

Owner

sindresorhus commented Feb 18, 2013

Looks like this npm bug: isaacs/npm#3172

Temporary fix, roll back to previous npm version using: npm install -g npm@1.2.10

Owner

sindresorhus commented Feb 25, 2013

This has been fixed in the npm registry.

I'm getting version not found with

npm install -g npm@1.2.10

But I was able to rollback using the npm repo

SgtPooki referenced this issue in yeoman/generator-webapp_DEPRECATED Oct 20, 2013

Closed

Error running grunt with new webapp and default options #140

FabienO commented Nov 30, 2013

@SgtPooki I'm having the same "version not found" issue but I can't figure out how to downgrade npm. You mentioned you'd rolled it back with the npm repo. Would you be so kind as to explain how please?

SgtPooki commented Dec 1, 2013

@FabienO Absolutely.

First, check https://gist.github.com/isaacs/579814 for instructions and discussions on correctly installing node and npm. These methods install node and npm by first building from the source.

If you look in the second gist, you will see the following for installing npm from source

git clone git://github.com/isaacs/npm.git
cd npm
make install # or `make link` for bleeding edge

If you install npm that way, you can simply use git comands for checking out a 'tag' or source code version of npm. You can find instructions for doing so here: http://stackoverflow.com/questions/791959/how-to-use-git-to-download-a-particular-tag

But since you're building from source, you'll change the above commands to something like this:

git clone git://github.com/isaacs/npm.git
cd npm
git checkout tags/v1.2.10
make install # or `make link` for bleeding edge

There may be a better way for changing npm versions, like what some of the above users reference, but I can't find any information on that command.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment